Bug 60225 - New port: japanese/wikicker
Summary: New port: japanese/wikicker
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-14 09:00 UTC by jfkimura
Modified: 2003-12-29 06:10 UTC (History)
1 user (show)

See Also:


Attachments
20031214-wikicker.tar.gz (4.74 KB, text/plain)
2003-12-14 09:00 UTC, jfkimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jfkimura 2003-12-14 09:00:36 UTC
	Wiki like system by perl5 (Only Japanese Language)

	WiKicker is WikiEngine implemented by a Perl language.
	WiKicker policy:
		- Not losing being integrated
		- The certification be unnecessary in writing
		- Do reading / editing in a spread Web browser
		- Safety
					(It works only in Japanese)

			See http://www.naney.org/wiki/WiKicker.html
Comment 1 jfkimura 2003-12-18 15:23:19 UTC
There is a thing needing a revision in this.

---begin

--- ./Makefile	Thu Dec 18 07:14:52 2003
+++ /usr/ports/japanese/wikicker/Makefile	Thu Dec 18 07:13:40 2003
@@ -16,14 +16,11 @@
 
 #       ===============================================================
=============
 #       =  You have to appoint GPG to use a function to upload an image. 
          =
-#       =  If it is necessary, it seems to be    WITH_GPG=yes    	  
         =
+#       =  If it is necessary, it seems to be    WITH_IMAGEUPLOAD=yes    
          =
 #       ===============================================================
=============
 
-.if defined(WITH_GPG)
-	@${ECHO_MSG} "==================================================
=========================="
-	@${ECHO_MSG} "===>  Option : WITH_GPG=yes"
-	@${ECHO_MSG} "==================================================
=========================="
-RUN_DEPENDS+=		${LOCALBASE}/bin/gpg:${PORTSDIR}/security/gnupg
+.if defined(WITH_IMAGEUPLOAD)
+RUN_DEPENDS+=		${SITE_PERL}/GnuPG/Interface.pm:${PORTSDIR}/
security/p5-GnuPG-Interface
 .endif
 RUN_DEPENDS+=		\
 			${SITE_PERL}/CGI.pm:${PORTSDIR}/www/p5-CGI.pm \


---end

Thank you.
---
Fumihiko Kimura <jfkimura@yahoo.co.jp>

__________________________________________________
Do You Yahoo!?
Yahoo! BB is Broadband by Yahoo!
http://bb.yahoo.co.jp/
Comment 2 Edwin Groothuis freebsd_committer 2003-12-29 06:10:30 UTC
State Changed
From-To: open->closed

Commited, thanks!